
const Sequelize = require("sequelize");

const {models} = require("../models");

const user = models.user.build( { username: "Pepe",  // No es persistente
                                  isAdmin: true
                                });

user.password = "1234"; // Lo edito

user.save()  // Persistente
.then(user => { 
    console.log('Usuario ' +  user.username + ' creado con éxito.');
})
.catch(Sequelize.ValidationError, error => {
    console.log("Errores de validación:");
    error.errors.forEach(({message}) => console.log('Error:', message));
})
.catch(error => {
    console.log("Error:", error);
});


