
const {models} = require("../models");

models.user.findAll()
.each(user => {  
	console.log("User:", user.username);

    // return evita entrelazado
	return models.quiz.findAll({where: {authorId: user.id}}) 
    .each(quiz => {  
        console.log("  * Preg:", quiz.question, "Resp:", quiz.answer);

        // return evita entrelazado
        return models.tip.findAll({where: {quizId: quiz.id,
                                           accepted: true}})  
            .each(tip => {  
                console.log("       > ", tip.text);
            })
    })
})
.catch(error => {
    console.log("Error:", error);
});

// Nota: .each devuelve  promesa que se resuelve con el array original sin modificar.
