
const {models} = require("../models");

models.user.findAll({ include: [ { model: models.quiz,
                                   include: [ models.tip ] } ]
                    })
.each(user => {  
	console.log("User:", user.username);

    user.quizzes.forEach(quiz => {  
        console.log("  * Preg:", quiz.question, "Resp:", quiz.answer);

        quiz.tips.forEach(tip => {  
            if (tip.accepted) {
                console.log("       > ", tip.text);
            }
        });
    });
})
.catch(error => {
    console.log("Error:", error);
});
